#include <iostream>
#include <algorithm>
#include <string>
#include<cmath>
#include<math.h>
#include <iomanip>

using namespace std;
double niz1[200000];
double procenti[200000];
int main()
{
	long long n, i;
	double prosecnavrednost = 0;
	double zbirnavrednost = 0;
	double min = 100;
	double zbirresenja = 0;
	double resenje = 0.0;
	cin >> n;
	for (i = 0; i < n; i++)
	{
		cin >> niz1[i] >> procenti[i];
	}
	for (i = 0; i < n; i++)
	{
		zbirnavrednost += procenti[i];
	}
	double pom = n;
	prosecnavrednost = zbirnavrednost / pom;
	for (i = 0; i < n; i++)
	{
		if (procenti[i] > prosecnavrednost)
		{
			if (procenti[i] < min)
			{
				min = procenti[i];
			}
		}
	}
	for (i = 0; i < n; i++)
	{
		if (procenti[i] > prosecnavrednost)
		{
			zbirresenja += niz1[i];
		}
	}
	resenje = zbirresenja * (min / 100);
	cout << setprecision(10);
	cout << resenje << endl;

	return 0;
}